GNU bug report logs - #54529
[PATCH] Added orca-lang package

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Rodriguez <yewscion@HIDDEN>; Keywords: patch; dated Tue, 22 Mar 2022 22:47:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 54529 <at> debbugs.gnu.org:


Received: (at 54529) by debbugs.gnu.org; 23 Mar 2022 02:31:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 22:31:06 2022
Received: from localhost ([127.0.0.1]:42256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWqm6-0007sQ-6v
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 22:31:06 -0400
Received: from mail-qt1-f181.google.com ([209.85.160.181]:46004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1nWqm3-0007je-AS
 for 54529 <at> debbugs.gnu.org; Tue, 22 Mar 2022 22:31:01 -0400
Received: by mail-qt1-f181.google.com with SMTP id a11so158909qtb.12
 for <54529 <at> debbugs.gnu.org>; Tue, 22 Mar 2022 19:30:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=PZrzcsPsOHeHB/S1hrEBSllLXRt7C0gkQvheCibUgl8=;
 b=JrWni4/Qhi6sLQlDP78nSDsRvYJQ+jcE3mKzA/8VhV0QP370nUoiqccDukSNzun1LD
 yc4k2+X10lcXD7kuIyLKRJawIuck9Sq1PvXsdawSYg8D14q8HL3NLEj/2qquQaIvw/Sx
 viAXTpeNR6paOa1km6vmhbrZ/V+soFqH+4SyO81qKku2M2IX5eE/sLV3ZD9iFwRS5Mqc
 ++ypFEDZE/8K8UOpRPj0zDv2JZULAyPr4bTAa2CYL0zMJpNtRtlUhMmOUIZUC0ZLwMb4
 11OyWfOFyZbE2tI01HT4qvCADg9kKIOZv2hxTld8XWHacIpsWWjhK5tk4Q1YPWw0kWbJ
 zdjg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=PZrzcsPsOHeHB/S1hrEBSllLXRt7C0gkQvheCibUgl8=;
 b=KHZ2vTCAbPfFWP87k99ZWRvXB8pqr7tV+EqrsMO2s6jQkdLD2TCgngLe+EM+Mkr/Ub
 D2Jr3CkYYWjcgr4TmYnD7CvYAHfSuHWsTTCduBPCVCHxrojVgJsgNzyb6ERBRct6YxFj
 +UInJCGNMYaaIC4ehNUz51rmJGP+p1h2dD1Gubw+e/ebi4/74+Sqz9MMCrdsL1oH2Xi3
 BKv7/zDinFsoQWWd5IcV/ctNWgColFRtWEZpX4im3zSloKUpYA63CeBL89zi+47xlwus
 khdJuRQxlxdF93ZjDRS/PcYDfq8tSkhPaG5jVpQpAe2cTCk8LttXp30C4NAk2UnwZD4q
 2APQ==
X-Gm-Message-State: AOAM530wKGS4GykytYPhVxxnG6h5uT3s1an/xUa6U9W4VjKnbDX/EMud
 GO136A5MzKvpp+9A0qbAvrUrCXmVBgE=
X-Google-Smtp-Source: ABdhPJxkRv2EPK/Sg/pSMBh2PC++8EFAhwUkh4KkhVNj+luttxYREZd+Erzd46xY6mAkkMPbs/xklA==
X-Received: by 2002:ac8:5809:0:b0:2e1:f0bc:2e88 with SMTP id
 g9-20020ac85809000000b002e1f0bc2e88mr20833304qtg.138.1648002653409; 
 Tue, 22 Mar 2022 19:30:53 -0700 (PDT)
Received: from gorse.members.linode.com ([2600:3c03::f03c:92ff:fec0:a2d7])
 by smtp.gmail.com with ESMTPSA id
 w13-20020a05622a134d00b002e2280215f6sm2032179qtk.54.2022.03.22.19.30.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 22 Mar 2022 19:30:52 -0700 (PDT)
From: Christopher Rodriguez <yewscion@HIDDEN>
To: 54529 <at> debbugs.gnu.org
Subject: [PATCH v2] Added orca-lang package
Date: Tue, 22 Mar 2022 22:30:29 -0400
Message-Id: <20220323023029.7747-1-yewscion@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: --- Added the alsa-plugins package (out and pulseaudio
 outputs)
 as propogated inputs because MIDI output depends on being able to use
 libasound_module_conf_pulse.so.
 gnu/packages/music.scm | 62 ++++++++++++++++++++++++++++++++++++++++++ 1
 file changed, 62 insertions(+) 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [2600:3c03:0:0:f03c:92ff:fec0:a2d7 listed in] [zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (yewscion[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.160.181 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.160.181 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54529
Cc: Christopher Rodriguez <yewscion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  --- Added the alsa-plugins package (out and pulseaudio outputs)
    as propogated inputs because MIDI output depends on being able to use libasound_module_conf_pulse.so.
    gnu/packages/music.scm | 62 ++++++++++++++++++++++++++++++++++++++++++ 1
   file changed, 62 insertions(+) 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.160.181 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.160.181 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [2600:3c03:0:0:f03c:92ff:fec0:a2d7 listed in]
                             [zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (yewscion[at]gmail.com)
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

---

Added the alsa-plugins package (out and pulseaudio outputs) as
propogated inputs because MIDI output depends on being able to use
libasound_module_conf_pulse.so.

 gnu/packages/music.scm | 62 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 9c8203aa80..9e1b078436 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -6879,3 +6879,65 @@ (define-public musikcube
 streaming audio server.")
     (home-page "https://musikcube.com/")
     (license license:bsd-3)))
+(define-public orca-lang
+  (let ((commit "5ba56ca67baae3db140f8b7a2b2fc46bbac5602f")
+        (revision "5"))
+    (package
+     (name "orca-lang")
+     (version (git-version "git" revision commit))
+     (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.sr.ht/~rabbits/orca")
+                    (commit commit)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1mnhk68slc6g5y5348vj86pmnz90a385jxvm3463fic79k90gckd"))))
+     (build-system gnu-build-system)
+     (arguments
+      `(#:tests?
+        #f
+        #:phases
+        (modify-phases
+         %standard-phases
+         (delete 'configure)
+         (delete 'check)
+         (delete 'patch-shebangs)
+         (delete 'validate-documentation-location)
+         (delete 'delete-info-dir-file)
+         (delete 'patch-dot-desktop-files)
+         (delete 'reset-gzip-timestamps)
+         (replace 'build
+                  (lambda* (#:key inputs outputs #:allow-other-keys)
+                           (setenv "CC" "gcc")
+                           (invoke "make" "release")))
+         (replace 'install
+                  (lambda* (#:key outputs #:allow-other-keys)
+                           (let* ((out
+                                   (assoc-ref outputs "out"))
+                                  (dest-bin
+                                   (string-append out "/bin"))
+                                  (dest-lib
+                                   (string-append out "/share"))
+                                  (dest-exa
+                                   (string-append dest-lib "/examples"))
+                                  (dest-doc
+                                   (string-append dest-lib "/doc")))
+                             (install-file "./build/orca" dest-bin)
+                             (copy-recursively "./examples" dest-exa)
+                             (install-file "./README.md" dest-doc)
+                             #t))))))
+     (inputs `(("ncurses" ,ncurses)
+               ("portmidi" ,portmidi)))
+     (native-inputs `(("pkg-config" ,pkg-config)))
+     (propagated-inputs `(("alsa-plugins" ,alsa-plugins)
+                          ("alsa-plugins:pulseaudio" ,alsa-plugins "pulseaudio")))
+     (synopsis "Musical Esoteric Programming Language")
+     (description
+      "Orca is an esoteric programming language and live editor designed to
+quickly create procedural sequencers.  Every letter of the alphabet is an
+operation, lowercase letters execute on *bang*, and uppercase letters execute
+each frame.")
+     (home-page "https://100r.co/site/orca.html")
+     (license license:agpl3))))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54529; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Mar 2022 22:46:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 18:46:39 2022
Received: from localhost ([127.0.0.1]:42058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWnGw-0005Jz-SP
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 18:46:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:37098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1nWnGv-0005Jr-94
 for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 18:46:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58448)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yewscion@HIDDEN>)
 id 1nWnGv-0006hf-2J
 for guix-patches@HIDDEN; Tue, 22 Mar 2022 18:46:37 -0400
Received: from [2607:f8b0:4864:20::734] (port=34614
 helo=mail-qk1-x734.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <yewscion@HIDDEN>)
 id 1nWnGt-0000CP-1u
 for guix-patches@HIDDEN; Tue, 22 Mar 2022 18:46:36 -0400
Received: by mail-qk1-x734.google.com with SMTP id 1so15163500qke.1
 for <guix-patches@HIDDEN>; Tue, 22 Mar 2022 15:46:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=rxL54Hj6u4XW3PLZ4je0K4OJnk4FUyYiSa/8Eog6p1Y=;
 b=PROBVM7XWQToAoNBTRNy7MYMdwvlsX+KI21GAXUjRaCFjtyWD+6qURpyqQuXk3jNak
 fM063JMlh+hdcoOz4pFOGeIjGGnb0WPwuHpiNqrsHqYb1CkLjBxAsDYK6yT/7j6Ub9Te
 wOL/GYBbcCFt3NvgZJ3aJqX/x5Qz51C90S+P8VE82jLKKOqbMr9JtACoijD+ruZa8lUr
 ctP/WOsU/hXaH653v2tRJQs1PIKN0Kmh7Cwhh4y7DKkUBx22nvHIEhEEj0IbG/2q5FjH
 gkETGfQ35GAUKGArxeB1MM7qHC5bTdQvC06wue/IDeJs2HM4TX7kO6TGHeh88pOQPOe8
 mOGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=rxL54Hj6u4XW3PLZ4je0K4OJnk4FUyYiSa/8Eog6p1Y=;
 b=hpVcYBH34emWLoVCz7t6MBy4t/TQh+qh5GYVeNHlk+rXQrVIXBmeQIjhCCFpsFX6OE
 iiBSggAPo6vFkBkui2FpWpZiKL81QIPmnwOyJbA7BhthQ+2QcD4FmF50PDKHK97/qbFH
 TKKq2+7/a09kdJwmJfPAkt+ELWuSfbxTCpGShFa3X0+0IVDPBCuSwiJwZQiYvcIgVJ6W
 9W0+7WougcKXLnMZzTG+GpEUVJDixyZk42fo2FrHCaFzCW1zv9ZFyWEk2e/Vo8kcizYM
 umx9gLT5foOUGJGr7eyDZZiDEvK5P0xdhRLNxSVKlstKvp4rjB50w7Xx5wX/CZh78FvF
 g59Q==
X-Gm-Message-State: AOAM531t4xFmB0vAFLLvJ+kRRqGicqfWB2c9w5UZB1qY6v7/Xe6lkjW/
 rFpAq7FmNrGD7FZhXyhwgbSeeQZ6ypYb3Q==
X-Google-Smtp-Source: ABdhPJxvhbpFFfjiE3gDX+iZFVZKJWM9FtJConeVvZ+tZMP6BAW1sNRXetbkxPJmxqt395TQtDsNdg==
X-Received: by 2002:a05:620a:2807:b0:67d:6349:2577 with SMTP id
 f7-20020a05620a280700b0067d63492577mr16653391qkp.785.1647989193321; 
 Tue, 22 Mar 2022 15:46:33 -0700 (PDT)
Received: from gorse.members.linode.com ([2600:3c03::f03c:92ff:fec0:a2d7])
 by smtp.gmail.com with ESMTPSA id
 m23-20020a05620a221700b00649555cd27bsm9837065qkh.79.2022.03.22.15.46.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 22 Mar 2022 15:46:32 -0700 (PDT)
From: Christopher Rodriguez <yewscion@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] Added orca-lang package
Date: Tue, 22 Mar 2022 18:46:14 -0400
Message-Id: <20220322224614.5605-1-yewscion@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::734
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::734;
 envelope-from=yewscion@HIDDEN; helo=mail-qk1-x734.google.com
X-Spam_score_int: 27
X-Spam_score: 2.7
X-Spam_bar: ++
X-Spam_report: (2.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_SBL_CSS=3.335,
 RDNS_NONE=0.793, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 4.5 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: --- gnu/packages/music.scm | 60
 ++++++++++++++++++++++++++++++++++++++++++ 1 file changed,
 60 insertions(+) diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
 index 9c8203aa80..32ab263f84 100644 --- a/gnu/packages/music.scm +++
 b/gnu/packages/music.scm
 @@ -6879,3 +6879,63 @@ (define-public musikcu [...] 
 Content analysis details:   (4.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [2600:3c03:0:0:f03c:92ff:fec0:a2d7 listed in] [zen.spamhaus.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (yewscion[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_H5      RBL: Excellent reputation (+5)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 1.5 SPOOFED_FREEMAIL       No description available.
 0.8 SPOOF_GMAIL_MID        From Gmail but it doesn't seem to be...
X-Debbugs-Envelope-To: submit
Cc: Christopher Rodriguez <yewscion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  --- gnu/packages/music.scm | 60 ++++++++++++++++++++++++++++++++++++++++++
    1 file changed, 60 insertions(+) diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
    index 9c8203aa80..32ab263f84 100644 --- a/gnu/packages/music.scm +++ b/gnu/packages/music.scm
    @@ -6879,3 +6879,63 @@ (define-public musikcu [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H5      RBL: Excellent reputation (+5)
                             [209.51.188.17 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [2600:3c03:0:0:f03c:92ff:fec0:a2d7 listed in]
                             [zen.spamhaus.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (yewscion[at]gmail.com)
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

---
 gnu/packages/music.scm | 60 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 9c8203aa80..32ab263f84 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -6879,3 +6879,63 @@ (define-public musikcube
 streaming audio server.")
     (home-page "https://musikcube.com/")
     (license license:bsd-3)))
+(define-public orca-lang
+  (let ((commit "5ba56ca67baae3db140f8b7a2b2fc46bbac5602f")
+        (revision "4"))
+    (package
+     (name "orca-lang")
+     (version (git-version "git" revision commit))
+     (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.sr.ht/~rabbits/orca")
+                    (commit commit)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1mnhk68slc6g5y5348vj86pmnz90a385jxvm3463fic79k90gckd"))))
+     (build-system gnu-build-system)
+     (arguments
+      `(#:tests?
+        #f
+        #:phases
+        (modify-phases
+         %standard-phases
+         (delete 'configure)
+         (delete 'check)
+         (delete 'patch-shebangs)
+         (delete 'validate-documentation-location)
+         (delete 'delete-info-dir-file)
+         (delete 'patch-dot-desktop-files)
+         (delete 'reset-gzip-timestamps)
+         (replace 'build
+                  (lambda* (#:key inputs outputs #:allow-other-keys)
+                           (setenv "CC" "gcc")
+                           (invoke "make" "release")))
+         (replace 'install
+                  (lambda* (#:key outputs #:allow-other-keys)
+                           (let* ((out
+                                   (assoc-ref outputs "out"))
+                                  (dest-bin
+                                   (string-append out "/bin"))
+                                  (dest-lib
+                                   (string-append out "/share"))
+                                  (dest-exa
+                                   (string-append dest-lib "/examples"))
+                                  (dest-doc
+                                   (string-append dest-lib "/doc")))
+                             (install-file "./build/orca" dest-bin)
+                             (copy-recursively "./examples" dest-exa)
+                             (install-file "./README.md" dest-doc)
+                             #t))))))
+     (inputs `(("ncurses" ,ncurses)
+               ("portmidi" ,portmidi)))
+     (native-inputs `(("pkg-config" ,pkg-config)))
+     (synopsis "Musical Esoteric Programming Language")
+     (description
+      "Orca is an esoteric programming language and live editor designed to
+quickly create procedural sequencers.  Every letter of the alphabet is an
+operation, lowercase letters execute on *bang*, and uppercase letters execute
+each frame.")
+     (home-page "https://wiki.xxiivv.com/site/uxn.html")
+     (license license:agpl3))))
-- 
2.34.0





Acknowledgement sent to Christopher Rodriguez <yewscion@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54529; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Mar 2022 02:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.